Compile errors in IDMSDMLP job

Document ID : KB000003941
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

A PL/I program compile is abending with errors such as IEL0316I, IEL0317I and IEL0400I.

Environment:
CA-IDMS any supported release.
Cause:

An old r14.1 APAR, LO72099, changed the PL/I precompiler IDMSDMLP so that VALUES clauses specifying HIGH-VALUES or LOW-VALUES would be generated with specific HEX values. This was found to cause compile errors if you are using a PL/I compiler version prior to 2.3.

 

Resolution:

Optional bit 274 was developed in order to revoke the functionality added by LO72099, so that the usual HIGH() and LOW() functions would be used, and the errors could be avoided.

 

If you are seeing these errors and are using the older PL/I compiler, enable RHDCOPTF bit 274 to resolve the problem.

Additional Information:

For more information, see the following CA IDMS DocOps pages:

Applying Optional Functionality

DML Reference for PL/I